OPL::ANotificationHandler Class Reference

The ANotificationHandler class handles displaying of user-directed messages. It displays information to the user in a QMessageBox and forwards the displayed message to ALog so it is written to the console and log files. The INFO, WARN and CRIT makros provide convenient access. More...

`#include <opl.h>`

## Static Public Member Functions

static void | info (const QString msg, QWidget *parent=nullptr)
static void | warn (const QString msg, QWidget *parent=nullptr)
static void | crit (const QString msg, QWidget *parent=nullptr)

## Detailed Description

The ANotificationHandler class handles displaying of user-directed messages. It displays information to the user in a QMessageBox and forwards the displayed message to ALog so it is written to the console and log files. The INFO, WARN and CRIT makros provide convenient access.

The documentation for this class was generated from the following file:

- src/opl.h